Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.monitor
Interface FinishedReportTable

    public interface FinishedReportTable

Interface `FinishedReportTable` contains information of a finished report in the report server.

Method Summary
`java.util.Vector` | `getFinishedReports()` Returns a vector of FinishedReport that are the immediate sources of finished reports for this server.
`java.util.Vector` | `getFinishedReportsByUserID(java.lang.String userID)` Gets finished reports by the user.
`long` | `getMaxKeepTime()` Gets the keep time of reports in milliseconds.
`int` | `getMaxSaveNumber()` Gets the max report number to save.
`void` | `removeFinishedReportIfOverFlow()` Removes the finished report when the amount number up to maxKeepNumber or finished time reaches MaxKeepNumber.
`void` | `setMaxKeepTime(long keepTime)` Sets the keep time of finished reports in milliseconds.
`void` | `setMaxSaveNumber(int maxSaveNumber)` Sets the max report number to save.

Method Detail

### getFinishedReports

    java.util.Vector getFinishedReports()

  Returns a vector of FinishedReport that are the immediate sources of finished reports for this server. This method returns null if the FinishedReport object has no information about its immediate sources. It returns an empty Vector if the FinishedReport object has no immediate sources.

  Returns:
    a Vector of `FinishedReport` objects.

### getFinishedReportsByUserID

    java.util.Vector getFinishedReportsByUserID(java.lang.String userID)

  Gets finished reports by the user.

  Parameters:
    `userID` - the userID.
  Returns:
    the vector containing FinishedReport objects.

### setMaxSaveNumber

    void setMaxSaveNumber(int maxSaveNumber)

  Sets the max report number to save. The finished report will be removed when the maxSaveNumber is reached.

  Parameters:
    `maxSaveNumber` - the max number of saved reports.

### getMaxSaveNumber

    int getMaxSaveNumber()

  Gets the max report number to save. The finished report will be removed when the maxSaveNumber is reached.

  Returns:
    the max report number to save reports.

### setMaxKeepTime

    void setMaxKeepTime(long keepTime)

  Sets the keep time of finished reports in milliseconds. The finished report will be removed when the max keep time is reached.

  Parameters:
    `keepTime` - the max time for keeping the finished reports in milliseconds.

### getMaxKeepTime

    long getMaxKeepTime()

  Gets the keep time of reports in milliseconds. The large report record will be removed when the max keep time is reached.

  Returns:
    the keep time in milliseconds.

### removeFinishedReportIfOverFlow

    void removeFinishedReportIfOverFlow()

  Removes the finished report when the amount number up to maxKeepNumber or finished time reaches MaxKeepNumber.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD